<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000002.html">lib</a></div>
<h1>busclass-xml.c File Reference</h1>Busclass XML data file parsing. <a href="#_details">More...</a>
<p>
<code>#include "config.h"</code><br>
<code>#include &lt;sys/types.h&gt;</code><br>
<code>#include &lt;assert.h&gt;</code><br>
<code>#include &lt;limits.h&gt;</code><br>
<code>#include &lt;stdio.h&gt;</code><br>
<code>#include &lt;string.h&gt;</code><br>
<code>#include &lt;expat.h&gt;</code><br>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="discover-xml_8h-source.html">discover/discover-xml.h</a>&gt;</code><br>
<code>#include &lt;discover/load-url.h&gt;</code><br>
<code>#include &lt;discover/utils.h&gt;</code><br>

<p>
<a href="busclass-xml_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga0">discover_xml_merge_busclass_url</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> **blist, char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga1">discover_xml_get_busclasses</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga2">discover_xml_free_busclasses</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga3">discover_xml_busclass_to_class</a> (char *busclass, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga4">discover_xml_busclass_cmp</a> (char *busclass, char *discover_class, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga5">discover_xml_busclass_get_id</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga6">discover_xml_busclass_get_name</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga7">discover_xml_busclass_get_next</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga8">discover_xml_busclass_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga9">discover_xml_busclass_free</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Busclass XML data file parsing. 
<p>
This file contains the routines needed to properly process the busclass XML data. This file is responsible for handling URLs and actually storing the XML data during the parsing process. 
<p>
Definition in file <a class="el" href="busclass-xml_8c-source.html">busclass-xml.c</a>.<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
